gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gdk.Drawable

Onscreen display area in the target window system.

A is a rectangular region on the screen. It's a low-level object, used to implement high-level objects such as and on the GTK+ level.

A is a toplevel window, the thing a user might think of as a "window" with a titlebar and so on; a may contain many s. For example, each has a associated with it.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  a
  a
  a
  Basic constructor
- Constructor
  2.12.0.0
  A
  A
  A
  Basic constructor
  The type of the parameter in this auto-generated constructor is incorrect. You would normally want to use the overloaded constructor that takes a .
- Property
  2.12.0.0
  System.Boolean To be added a To be added
- Method
  2.12.0.0
  System.Void `` A Adds an event filter to this window, allowing you to intercept events before they reach GDK. This is a low-level operation and makes it easy to break GDK and/or GTK+, so you have to know what you're doing. Pass for this window to get all events for all windows, instead of events for a specific window.
- Method
  2.12.0.0
  System.Void `` a Adds an event filtering function for all Windows. It is possible to do significant damage to Gdk's built in event processing using this capability if used improperly.
- Method
  2.12.0.0
  Gdk.Window `` `` a a To be added a
- Property
  2.12.0.0
  Gdk.Color Sets the background color for the window. A Sets the background color of window. (However, when using GTK+, set the background of a widget with - if you're an application - or - if you're implementing a custom widget.

  The color must be allocated;

- Method
  2.12.0.0
  System.Void Emits a short beep.
- Method
  2.12.0.0
  System.Void `` `` `` `` A , the button being used to drag A , root window X coordinate of mouse click that began the drag A m root window Y coordinate of mouse click that began the drag A , timestamp of mouse click that began the drag Begins a window move operation (for a toplevel window). You might use this function to implement a "window move grip," for example. The function works best with window managers that support the Extended Window Manager Hints spec (see http://www.freedesktop.org), but has a fallback implementation for other window managers.
- Method
  2.12.0.0
  System.Void `` A A convenience wrapper around () which creates a rectangular region for you. See () for details.
- Method
  2.12.0.0
  System.Void `` A Indicates that you are beginning the process of redrawing @region.

  A backing store (offscreen buffer) large enough to contain will be created. The backing store will be initialized with the background color or background pixmap for this window. Then, all drawing operations performed on this window will be diverted to the backing store. When you call , the backing store will be copied to this window, making it visible onscreen. Only the part of this window contained in will be modified; that is, drawing operations are clipped to .

  The net result of all this is to remove flicker, because the user sees the finished product appear all at once when you call . If you draw to the window directly without calling , the user may see flicker as individual drawing operations are performed in sequence. The clipping and background-initializing features of are conveniences for the programmer, so you can avoid doing that work yourself.

  When using GTK+, the widget system automatically places calls to and around emissions of the expose_event signal. That is, if you're writing an expose event handler, you can assume that the exposed area in #GdkEventExpose has already been cleared to the window background, is already set as the clip region, and already has a backing store. Therefore in most cases, application code need not call . (You can disable the automatic calls around expose events on a widget-by-widget basis by calling gtk_widget_set_double_buffered().)

  If you call this function multiple times before calling the matching , the backing stores are pushed onto a stack. copies the topmost backing store onscreen, subtracts the topmost region from all other regions in the stack, and pops the stack. All drawing operations affect only the topmost backing store in the stack. One matching call to is required for each call to .

- Method
  2.12.0.0
  System.Void `` `` `` `` `` A A A A A Begins a window resize operation (for a toplevel window). You might use this function to implement a "window resize grip," for example; in fact uses it. The function works best with window managers that support the Extended Window Manager Hints spec (see http://www.freedesktop.org), but has a fallback implementation for other window managers.
- Property
  2.12.0.0
  Gdk.Window[] Gets the children of window known to Gdk. The array of windows. This function only returns children created via GDK, so for example it's useless when used with the root window; it only returns windows an application created itself.
- Method
  2.12.0.0
  System.Void Clears the entire window to the background color or background pixmap.
- Method
  2.12.0.0
  System.Void `` `` a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` A , x coordinate of rectangle to clear A , y coordinate of rectangle to clear A , width of rectangle to clear A , height of rectangle to clear Clears an area of this window to the background color or background pixmap.
- Method
  2.12.0.0
  System.Void `` `` `` `` A , x coordinate of rectangle to clear A , y coordinate of rectangle to clear A , width of rectangle to clear A , height of rectangle to clear Like , but also generates an expose event for the cleared area. This function has a stupid name because it dates back to the mists time, pre-GDK-1.0.
- Property
  2.12.0.0
  System.Boolean Sets Composited indicator of window. If window is composited. Composited windows are not automatically drawn to the screen, but are instead rendered to an offscreen buffer and an expose event is sent to the window's parent.
- Method
  2.12.0.0
  System.Void To be added To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` a a a a a a To be added
- Property
  2.12.0.0
  Gdk.Cursor Sets the cursor for the window. Sets the mouse pointer for a .

  To make the cursor invisible, use pixmap constructor for the cursor to create a cursor with no pixels in it. Passing for the cursor argument to this property means that window will use the cursor of its parent window. Most windows should use this default.

- Property
  2.12.0.0
  System.Boolean For debugging use only. A
- Method
  2.12.0.0
  System.Void Attempt to deiconify (unminimize) this window. On X11 the window manager may choose to ignore the request to deiconify. When using GTK+, use instead of the variant. Or better yet, you probably want to use , which raises the window, focuses it, unminimizes it, and puts it on the current desktop.
- Method
  2.12.0.0
  System.Void Destroys the window system resources associated with this window and decrements this window's reference count. The window system resources for all children of this window are also destroyed, but the children's reference counts are not decremented. Note that a window will not be destroyed automatically when its reference count reaches zero. You must call this function yourself before that happens.
- Method
  2.12.0.0
  System.Void To be added To be added
- Method
  2.12.0.0
  System.Void Indicates that the backing store created by the most recent call to () should be copied onscreen and deleted, leaving the next-most-recent backing store or no backing store at all as the active paint region. See () for full details. It is an error to call this function without a matching () first.
- Property
  2.12.0.0
  Gdk.EventMask To be added A
- Method
  2.12.0.0
  System.Void `` A , timestamp of the event calling this method Sets keyboard focus to this window. If the window is not onscreen this will not work. In most cases, should be used on a , rather than calling this function.
- Property
  2.12.0.0
  System.Boolean To be added a To be added
- Method
  2.12.0.0
  Gdk.Window `` A For internal use only. Wraps a native window for the default display in a . This may fail if the window has been destroyed. A
- Method
  2.12.0.0
  Gdk.Window `` `` a a To be added a
- Property
  2.12.0.0
  Gdk.Rectangle Obtains the bounding box of the window. a Area includes window manager titlebar/borders if any. The frame position is given in root window coordinates. To get the position of the window itself (rather than the frame) in root window coordinates, use .
- Method
  2.12.0.0
  System.Void Temporarily freezes a window such that it won't receive expose events. The window will begin receiving expose events again when is called. If has been called more than once, must be called an equal number of times to begin processing exposes.
- Method
  2.12.0.0
  System.Void To be added
- Property
  2.12.0.0
  Gdk.WMFunction To be added A
- Method
  2.12.0.0
  System.Boolean `` a to put the decorations in Returns the decorations set on the window with . a , true if the window has decorations set, false otherwise.
- Method
  2.12.0.0
  System.Obsolete
  System.Boolean `` `` a a To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` a a a To be added
- Method
  2.12.0.0
  System.Int32 `` `` a a To be added a
- Method
  2.12.0.0
  Gdk.Window `` `` `` A A A To be added A
- Method
  2.12.0.0
  System.Void `` `` a a To be added
- Method
  2.12.0.0
  System.Void `` `` a a To be added
- Property
  2.12.0.0
  Gdk.Window To be added a To be added
- Method
  2.12.0.0
  System.Void For toplevel windows, withdraws them, so they will no longer be known to the window manager; for all windows, unmaps them, so they won't be displayed. Normally done automatically as part of .
- Method
  2.12.0.0
  System.Void Asks to iconify (minimize) the window. The window manager may choose to ignore the request, but normally will honor it. Using is preferred, if you have a widget. This function only makes sense when this window is a toplevel window.
- Property
  2.12.0.0
  Gdk.Pixbuf[] To be added a
- Property
  2.12.0.0
  System.String To be added A
- Method
  2.12.0.0
  System.Void `` `` `` a containing the mask. x offset within the Window. y offset within the Window. Applies an Input shape mask to the Window. Depends on optional features within the windowing environment. If those features aren't supporting the method has no effect.
- Method
  2.12.0.0
  System.Void `` `` `` a containing the desired input mask. x offset within the Window. y offset within the Window. Applies an Input shape region to the Window. Depends on optional features within the windowing environment. If those features aren't supporting the method has no effect.
- Method
  2.12.0.0
  System.Void `` `` A Function to use to decide if to recurse to a child. means never recurse. Adds a region to the update area for a window and some of its children

  Adds to the update area for the window. The update area is the region that needs to be redrawn, or "dirty region." The call sends one or more expose events to the window, which together cover the entire update area. An application would normally redraw the contents of the whole window in response to those expose events.

  GDK will call on your behalf whenever your program returns to the main loop and becomes idle, so normally there's no need to do that manually, you just need to invalidate regions that you know should be redrawn.

  The parameter controls whether the region of each child window that intersects will also be invalidated. Only children for which returns will have the area invalidated.

- Method
  2.12.0.0
  System.Void `` `` A A , whether to invalidate child windows A convenience wrapper around which invalidates a rectangular region. See for details.
- Method
  2.12.0.0
  System.Void `` `` A A Adds to the update area for the window. The update area is the region that needs to be redrawn, or "dirty region."

  The call sends one or more expose events to the window, which together cover the entire update area. An application would normally redraw the contents of in response to those expose events.

  GDK will call on your behalf whenever your program returns to the main loop and becomes idle, so normally there's no need to do that manually, you just need to invalidate regions that you know should be redrawn.

  The parameter controls whether the region of each child window that intersects will also be invalidated. If , then the update area for child windows will remain unaffected. See if you need fine grained control over which children are invalidated.

- Property
  2.12.0.0
  System.Boolean To be added a
- Property
  2.12.0.0
  System.Boolean To be added a
- Property
  2.12.0.0
  System.Boolean To be added a To be added
- Property
  2.12.0.0
  System.Boolean To be added a To be added
- Method
  2.12.0.0
  Gdk.Window `` A , a native window ID. For internal use only. Looks up the Window that wraps the given native window handle. A
- Method
  2.12.0.0
  Gdk.Window `` `` a a To be added a
- Method
  2.12.0.0
  System.Void

  Lowers this window to the bottom of the Z-order (stacking order), so that other windows with the same parent window appear above this window. This is true whether or not the other windows are visible.

  If this window is a toplevel, the window manager may choose to deny the request to move the window in the Z-order, only requests the restack, but does not guarantee it.

  Note that raises the window again, so don't call this function before . (Try .)

- Method
  2.12.0.0
  System.Void Maximizes the window. If the window was already maximized, then this function does nothing.

  On X11, asks the window manager to maximize the window, if the window manager supports this operation. Not all window managers support this, and some deliberately ignore it or don't have a concept of "maximized"; so you can't rely on the maximization actually happening. But it will happen with most standard window managers, and GDK makes a best effort to get it to happen.

  On Windows, reliably maximizes the window.

- Method
  2.12.0.0
  System.Void Merges the union of all child window masks into the Input mask. Includes the current window input mask. To ignore the parent mask, use .
- Method
  2.12.0.0
  System.Void

  Merges the shape masks for any child windows into the shape mask for this window. i.e. the union of all masks for this window and its children will become the new mask for this window. See .

  This function is distinct from because it includes this window's shape mask in the set of shapes to be merged.

- Property
  2.12.0.0
  System.Boolean To be added A
- Method
  2.12.0.0
  System.Void `` `` A A Repositions a window relative to its parent window.

  For toplevel windows, window managers may ignore or modify the move; you should probably use on a widget anyway, instead of using GDK functions. For child windows, the move will reliably succeed.

  If you're also planning to resize the window, use to both move and resize simultaneously, for a nicer visual effect.

- Method
  2.12.0.0
  System.Void `` `` `` The region to be moved. The offset in the X direction. The offset in the Y direction. Moves a region by a specified offset. The portions of that not covered by its new position are invalidated.
- Method
  2.12.0.0
  System.Void `` a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` A , new X position relative to window's parent A , new Y position relative to window's parent A , new width A , new height Equivalent to calling and in succession, except that both operations are performed at once, avoiding strange visual effects. (i.e. the user may be able to see the window first move, then resize, if you don't use this method.)
- Property
  2.12.0.0
  System.Double Opacity Property. A double between 0 and 1.
- Property
  2.12.0.0
  System.Boolean To be added A
- Property
  2.12.0.0
  Gdk.Window To be added A
- Method
  2.12.0.0
  System.Void Calls for all windows in the application.
- Method
  2.12.0.0
  System.Void `` A , whether to process updates for child windows Sends one or more expose events to the window. The areas in each expose event will cover the entire update area for the window (see for details). Normally GDK calls on your behalf, so there's no need to call this function unless you want to force expose events to be delivered immediately and synchronously (vs. the usual case, where GDK delivers them in an idle handler). Occasionally this is useful to produce nicer scrolling behavior, for example.
- Method
  2.12.0.0
  System.Void Raises the window to the top of the Z-order (stacking order), so that other windows with the same parent window appear below this window. This is true whether or not the windows are visible. If this window is a toplevel, the window manager may choose to deny the request to move the window in the Z-order. This method only requests the restack; it does not guarantee a restack.
- Method
  2.12.0.0
  System.Void To be added
- Method
  2.12.0.0
  System.Void `` A Remove a filter previously added with .
- Method
  2.12.0.0
  System.Void `` a Removes an event filtering function for all Windows.
- Method
  2.12.0.0
  System.Void `` `` `` A , new parent to move this window into A , X location inside the new parent A , Y location inside the new parent Reparents this window into the given . The window being reparented will be unmapped as a side effect.
- Method
  2.12.0.0
  System.Void `` `` A A To be added
- Property
  2.12.0.0
  System.String To be added A
- Method
  2.12.0.0
  System.Void `` `` A , amount to scroll in the X direction A , amount to scroll in the Y direction Scroll the contents of this window, both pixels and children, by the given amount. The window itself does not move. Portions of the window that the scroll operation brings in from offscreen areas are invalidated. The invalidated region may be bigger than what would strictly be necessary. (For X11, a minimum area will be invalidated if the window has no subwindows, or if the edges of the window's parent do not extend beyond the edges of the window. In other cases, a multi-step process is used to scroll the window which may produce temporary visual artifacts and unnecessary invalidations.)
- Method
  2.12.0.0
  System.Void `` `` A A Sets the background pixmap of this window. May also be used to set a background of "None" on this window, by setting a background pixmap of . A background pixmap will be tiled, positioning the first tile at the origin of this window, or if is true, the tiling will be done based on the origin of the parent window (useful to align tiles in a parent with tiles in a child).

  A background pixmap of means that the window will have no background. A window with no background will never have its background filled by the windowing system, instead the window will contain whatever pixels were already in the corresponding area of the display.

  The windowing system will normally fill a window with its background when the window is obscured then exposed, or when you call .

- Method
  2.12.0.0
  System.Void Sets the input mask to the union of all child window masks. Ignores the windows own mask. If you wish to add the child window masks to the parent, use .
- Method
  2.12.0.0
  System.Void Sets the shape mask of this window to the union of shape masks for all children of the window, ignoring the shape mask of the window itself. Contrast with which includes the shape mask of the window in the masks to be merged.
- Method
  2.12.0.0
  System.Void `` A "Decorations" are the features the window manager adds to a toplevel . This function sets the traditional Motif window manager hints that tell the window manager which decorations you would like your window to have. Usually you should use on a instead of using the GDK function directly.

  The argument is the logical OR of the fields in the enumeration. If is included in the mask, the other bits indicate which decorations should be turned off. If is not included, then the other bits indicate which decorations should be turned on.

  Most window managers honor a decorations hint of 0 to disable all decorations, but very few honor all possible combinations of bits.

- Method
  2.12.0.0
  System.Void `` `` A A Sets the geometry hints for this window. Hints flagged in are set, hints not flagged in are unset. To unset all hints, use a of 0 and a of .

  This function provides hints to the windowing system about acceptable sizes for a toplevel window. The purpose of this is to constrain user resizing, but the windowing system will typically (but is not required to) also constrain the current size of the window to the provided values and constrain programatic resizing via or .

  Note that on X11, this effect has no effect on windows of type GDK_WINDOW_TEMP or windows where override_redirect has been turned on via since these windows are not resizable by the user.

  Since you can't count on the windowing system doing the constraints for programmatic resizes, you should generally call yourself to determine appropriate sizes.

- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` `` `` `` a a a a a a a To be added To be added
- Method
  2.12.0.0
  System.Void `` `` `` A A mask bitmap Sets the icon of this window as a pixmap or window. If using GTK+, investigate first, and then and . If those don't meet your needs, look at . Only if all those are too high-level do you want to fall back to this method.
- Method
  2.12.0.0
  System.Boolean `` A Set the bit gravity of the given window to static, and flag it so all children get static subwindow gravity. This is used if you are implementing scary features that involve deep knowledge of the windowing system. Don't worry about it unless you have to. A , true if the server supports static gravity
- Method
  2.12.0.0
  System.Void `` `` `` A , a shape mask A , X position of shape mask with respect to this window A , Y position of shape mask with respect to this window

  Applies a shape mask to this window. Pixels in this window corresponding to set bits in the will be visible; pixels in this window corresponding to unset bits in the will be transparent. This gives a non-rectangular window.

  If is , the shape mask will be unset, and the / parameters are not used.

  On the X11 platform, this uses an X server extension which is widely available on most common platforms, but not available on very old X servers, and occasionally the implementation will be buggy. On servers without the shape extension, this function will do nothing.

  This function works on both toplevel and child windows.

- Method
  2.12.0.0
  System.Void `` `` `` A A A To be added
- Method
  2.12.0.0
  System.Void To be added
- Method
  2.12.0.0
  System.Void Shows a onscreen, but does not modify its stacking order. In contrast, will raise the window to the top of the window stack. On the X11 platform, in Xlib terms, this function calls XMapWindow() (it also updates some internal GDK state, which means that you can't really use XMapWindow() directly on a GDK window).
- Property
  2.12.0.0
  System.Boolean To be added a
- Property
  2.12.0.0
  System.Boolean To be added a
- Property
  2.12.0.0
  System.String Startup notification ID. A string. When using Gtk, consider using instead.
- Property
  2.12.0.0
  Gdk.WindowState To be added A
- Method
  2.12.0.0
  System.Void "Pins" a window such that it's on all workspaces and does not scroll with viewports, for window managers that have scrollable viewports. (When using , may be more useful.) On the X11 platform, this function depends on window manager support, so may have no effect with many window managers. However, GDK will do the best it can to convince the window manager to stick the window. For window managers that don't support this operation, there's nothing you can do to force it to happen.
- Method
  2.12.0.0
  System.Void To be added
- Property
  2.12.0.0
  System.String To be added A
- Property
  2.12.0.0
  Gdk.Window To be added A
- Property
  2.12.0.0
  Gdk.Window[] To be added a
- Property
  2.12.0.0
  Gdk.Window To be added A
- Property
  2.12.0.0
  Gdk.WindowTypeHint To be added A
- Method
  2.12.0.0
  System.Void To be added
- Method
  2.12.0.0
  System.Void To be added
- Method
  2.12.0.0
  System.Void Reverse operation for .
- Property
  2.12.0.0
  Gdk.Region To be added A
- Property
  2.12.0.0
  System.Boolean Indicates if the window needs the user's urgent attention. to set the hint, or to clear it.
- Property
  2.12.0.0
  System.IntPtr To be added a
- Property
  2.12.0.0
  Gdk.WindowType To be added A
- Method
  2.12.0.0
  System.Void Withdraws a window (unmaps it and asks the window manager to forget about it). This function is not really useful as automatically withdraws toplevel windows before hiding them.